package com.ruoyi.business.service;

import com.ruoyi.business.domain.AiUserinfo;

import java.util.List;

/**
 * 用户信息Service接口
 * 
 * @author max
 * @date 2023-05-14
 */
public interface IAiUserinfoService 
{
    /**
     * 查询用户信息
     * 
     * @param id 用户信息主键
     * @return 用户信息
     */
    public AiUserinfo selectAiUserinfoById(Long id);

    /**
     * 查询用户信息列表
     * 
     * @param aiUserinfo 用户信息
     * @return 用户信息集合
     */
    public List<AiUserinfo> selectAiUserinfoList(AiUserinfo aiUserinfo);

    /**
     * 新增用户信息
     * 
     * @param aiUserinfo 用户信息
     * @return 结果
     */
    public int insertAiUserinfo(AiUserinfo aiUserinfo);

    /**
     * 修改用户信息
     * 
     * @param aiUserinfo 用户信息
     * @return 结果
     */
    public int updateAiUserinfo(AiUserinfo aiUserinfo);

    /**
     * 批量删除用户信息
     * 
     * @param ids 需要删除的用户信息主键集合
     * @return 结果
     */
    public int deleteAiUserinfoByIds(String ids);

    /**
     * 删除用户信息信息
     * 
     * @param id 用户信息主键
     * @return 结果
     */
    public int deleteAiUserinfoById(Long id);

    /**
     * 用户授权后的code处理
     * @param code 授权code
     * @param state 自定义参数
     * @return 返回用户信息
     */
    String handleCode(String code, String state);
}
